OpenLayers v4.0.1 API - Class: GML2

# Class: GML2

This documentation is for OpenLayers v4.0.1. The latest is v.

## ol.format.GML2

Feature format for reading and writing data in the GML format, version 2.1.2.

#### new ol.format.GML2(opt_options)

src/ol/format/gml2.js, line 21

  Name | Type | Description
  --- | --- | ---

  `options`

  Optional configuration object.

  Name | Type | Description
  --- | --- | ---
  `featureNS` | Object.<string, string> | string | undefined | Feature namespace. If not defined will be derived from GML. If multiple feature types have been configured which come from different feature namespaces, this will be an object with the keys being the prefixes used in the entries of featureType array. The values of the object will be the feature namespaces themselves. So for instance there might be a featureType item `topp:states` in the `featureType` array and then there will be a key `topp` in the featureNS object with value `http://www.openplans.org/topp`.
  `featureType` | Array.<string> | string | undefined | Feature type(s) to parse. If multiple feature types need to be configured which come from different feature namespaces, `featureNS` will be an object with the keys being the prefixes used in the entries of featureType array. The values of the object will be the feature namespaces themselves. So for instance there might be a featureType item `topp:states` and then there will be a key named `topp` in the featureNS object with value `http://www.openplans.org/topp`.
  `srsName` | string | srsName to use when writing geometries. Required.
  `surface` | boolean | undefined | Write gml:Surface instead of gml:Polygon elements. This also affects the elements in multi-part geometries. Default is `false`.
  `curve` | boolean | undefined | Write gml:Curve instead of gml:LineString elements. This also affects the elements in multi-part geometries. Default is `false`.
  `multiCurve` | boolean | undefined | Write gml:MultiCurve instead of gml:MultiLineString. Since the latter is deprecated in GML 3, the default is `true`.
  `multiSurface` | boolean | undefined | Write gml:multiSurface instead of gml:MultiPolygon. Since the latter is deprecated in GML 3, the default is `true`.
  `schemaLocation` | string | undefined | Optional schemaLocation to use when writing out the GML, this will override the default provided.

### Extends

- ol.format.GMLBase

### Methods

#### readFeatures(source, opt_options){Array.<ol.Feature>} inherited

src/ol/format/gmlbase.js, line 569

  Read all features from a GML FeatureCollection.

  Name | Type | Description
  --- | --- | ---
  `source` | Document | Node | Object | string | Source.

  `options`

  Options.

  Name | Type | Description
  --- | --- | ---
  `dataProjection` | ol.ProjectionLike | Projection of the data we are reading. If not provided, the projection will be derived from the data (where possible) or the `defaultDataProjection` of the format is assigned (where set). If the projection can not be derived from the data and if no `defaultDataProjection` is set for a format, the features will not be reprojected.
  `featureProjection` | ol.ProjectionLike | Projection of the feature geometries created by the format reader. If not provided, features will be returned in the `dataProjection`.

  ##### Returns:

  Features.